Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/folders/{folderId}/permissions \
--header 'Authorization: Bearer <token>'{
"permits": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"type": "user",
"direct": {
"accessBoost": true,
"isOwner": true,
"role": "NO_ACCESS"
}
}
]
}Retrieve folder permissions for a user
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/folders/{folderId}/permissions \
--header 'Authorization: Bearer <token>'{
"permits": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"type": "user",
"direct": {
"accessBoost": true,
"isOwner": true,
"role": "NO_ACCESS"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The UUID of the folder. Use the List folders endpoint to retrieve folder IDs.
The ID of the user to retrieve folder permissions for. Use the List users or List embed users endpoints to retrieve user IDs.
Folder permissions object
Show child attributes
Was this page helpful?